/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/XML.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "XML::balise_open"
  bool XML::balise_open (string name)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    bool _return;
    if (not balise_open_begin(name)) 
      _return = false;
    else
      _return = balise_open_end  ();

    log_printf(FUNC,Behavioural,FUNCTION,"End");
    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
